// INTRA.H
//
// This header file contains constant declarations for the 
// enumerated properties in IntraBuilder. These properties take
// numeric values. When you include this file, you can use
// the constant identifiers defined below in place of these
// numeric values.

#ifndef INTRA_H
#define INTRA_H

// alignHorizontal property
#define ALIGNHORIZONTAL_LEFT     0
#define ALIGNHORIZONTAL_CENTER   1
#define ALIGNHORIZONTAL_RIGHT    2
#define ALIGNHORIZONTAL_JUSTIFY  3

// alignment property
#define ALIGNMENT_STRETCH              0
#define ALIGNMENT_TOP_LEFT             1
#define ALIGNMENT_CENTER               2
#define ALIGNMENT_KEEP_ASPECT_STRETCH  3
#define ALIGNMENT_TRUE_SIZE            4

// alignVertical property 
#define ALIGNVERTICAL_TOP      0
#define ALIGNVERTICAL_MIDDLE   1
#define ALIGNVERTICAL_BOTTOM   2
#define ALIGNVERTICAL_JUSTIFY  3

// Array.dir() and Array.dirExt() elements
#define ARRAY_DIR_NAME        0 
#define ARRAY_DIR_SIZE        1
#define ARRAY_DIR_DATE        2
#define ARRAY_DIR_TIME        3
#define ARRAY_DIR_ATTR        4
#define ARRAY_DIR_SHORT_NAME  5
#define ARRAY_DIR_CREATE_DATE 6
#define ARRAY_DIR_CREATE_TIME 7
#define ARRAY_DIR_ACCESS_DATE 8

// borderStyle property
#define BORDERSTYLE_DEFAULT      0
#define BORDERSTYLE_RAISED       1
#define BORDERSTYLE_LOWERED      2
#define BORDERSTYLE_NONE         3
#define BORDERSTYLE_SINGLE       4
#define BORDERSTYLE_DOUBLE       5
#define BORDERSTYLE_DROP_SHADOW  6
#define BORDERSTYLE_CLIENT       7
#define BORDERSTYLE_MODAL        8
#define BORDERSTYLE_ETCHED_IN    9
#define BORDERSTYLE_ETCHED_OUT   10

// color property 
// The color properties of the printer object
// are defined as PRINTER_COLOR below.

// duplex property
#define DUPLEX_DEFAULT     0
#define DUPLEX_NONE        1
#define DUPLEX_VERTICAL    2
#define DUPLEX_HORIZONTAL  3

// escape() bitmasked parameters
#define ESCAPE_ALL           0
#define ESCAPE_UNSAFE_ONLY   1   // bit 1
#define ESCAPE_SPACE_TO_PLUS 2   // bit 2
#define ESCAPE_KEEP_PLUS     4   // bit 3

// filterOptions property
#define FILTEROPTIONS_MATCH_LENGTH_AND_CASE      0
#define FILTEROPTIONS_MATCH_PARTIAL              1
#define FILTEROPTIONS_IGNORE_CASE                2
#define FILTEROPTIONS_MATCH_PARTIAL_IGNORE_CASE  3

// locateOptions property
#define LOCATEOPTIONS_MATCH_LENGTH_AND_CASE      FILTEROPTIONS_MATCH_LENGTH_AND_CASE
#define LOCATEOPTIONS_MATCH_PARTIAL              FILTEROPTIONS_MATCH_PARTIAL               
#define LOCATEOPTIONS_IGNORE_CASE                FILTEROPTIONS_IGNORE_CASE          
#define LOCATEOPTIONS_MATCH_PARTIAL_IGNORE_CASE  FILTEROPTIONS_MATCH_PARTIAL_IGNORE_CASE

// orientation property
#define ORIENTATION_DEFAULT    0
#define ORIENTATION_PORTRAIT   1
#define ORIENTATION_LANDSCAPE  2

// output property
#define OUTPUT_WINDOW        0
#define OUTPUT_PRINTER       1
#define OUTPUT_PRINTER_FILE  2
#define OUTPUT_DEFAULT       3
#define OUTPUT_HTML          4
#define OUTPUT_HTML_FILE     5

// printer.color property
#define PRINTER_COLOR_DEFAULT     0
#define PRINTER_COLOR_MONOCHROME  1
#define PRINTER_COLOR_COLOR       2

// printerSource property 
#define PRINTER_SOURCE_INTRABUILDER_DEFAULT 0
#define PRINTER_SOURCE_WINDOWS_DEFAULT      1
#define PRINTER_SOURCE_SPECIFIC             2

// resolution property 
#define RESOLUTION_DEFAULT  0
#define RESOLUTION_DRAFT    1
#define RESOLUTION_LOW      2
#define RESOLUTION_MEDIUM   3
#define RESOLUTION_HIGH     4

// rotate property
#define ROTATE_NORMAL       0
#define ROTATE_90_DEGREES   1
#define ROTATE_180_DEGREES  2
#define ROTATE_270_DEGREES  3

// state property
#define STATE_CLOSED   0
#define STATE_BROWSE   1
#define STATE_EDIT     2
#define STATE_APPEND   3
#define STATE_FILTER   4
#define STATE_LOCATE   5

// trueTypeFonts property
#define TRUETYPE_FONTS_DEFAULT     0
#define TRUETYPE_FONTS_BITMAP      1
#define TRUETYPE_FONTS_DOWNLOAD    2
#define TRUETYPE_FONTS_SUBSTITUTE  3
#define TRUETYPE_FONTS_OUTLINE     4

// updateWhere property
#define UPDATEWHERE_ALL_FIELDS       0
#define UPDATEWHERE_KEY_FIELDS       1
#define UPDATEWHERE_KEY_AND_CHANGED  2

#endif  // INTRA_H